Bug 138256 - missing expression in return stmt
missing expression in return stmt
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-06 05:00 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 16:56:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-06 05:00:53 EST
Description of problem:

I just tried to compile package vnc-4.0-7 from 
Redhat Fedora Core 3 Test 3.

The compiler said

attributes.c:819: warning: `return' with no value, in function
returning non-void

The source code is

    if (*type != XrmQString)
        return;

but

static Bool
AppendEntry(
    XrmDatabase         *db,
    XrmBindingList      bindings,
    XrmQuarkList        quarks,
    XrmRepresentation   *type,
    XrmValuePtr         value,
    XPointer            data)

Suggest add expression to return statement. 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2004-11-08 12:41:05 EST
This code comes from xorg-x11, not vnc.
Comment 2 Kristian Høgsberg 2004-11-10 16:56:05 EST
This code is part of Xprint which we don't ship.  Please file the bug
upstream in the http://bugs.freedesktop.org bugzilla. Thanks.  Oh, and
if you find more of these bugs, please provide more context, there's
over 5000 files in the Xorg distribution, findings attributes.c is
like finding a needle in a haystack.

Note You need to log in before you can comment on or make changes to this bug.